PropertyListParserConstants (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.plist, interface: PropertyListParserConstants

Package org.apache.commons.configuration2.plist

# Interface PropertyListParserConstants

All Known Implementing Classes:
  `PropertyListParserTokenManager`

public interface PropertyListParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ARRAY_BEGIN`
  RegularExpression Id.
  `static final int`
  `ARRAY_END`
  RegularExpression Id.
  `static final int`
  `ARRAY_SEPARATOR`
  RegularExpression Id.
  `static final int`
  `DATA`
  RegularExpression Id.
  `static final int`
  `DATA_END`
  RegularExpression Id.
  `static final int`
  `DATA_START`
  RegularExpression Id.
  `static final int`
  `DATE`
  RegularExpression Id.
  `static final int`
  `DATE_START`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DICT_BEGIN`
  RegularExpression Id.
  `static final int`
  `DICT_END`
  RegularExpression Id.
  `static final int`
  `DICT_SEPARATOR`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EQUAL`
  RegularExpression Id.
  `static final int`
  `ESCAPED_QUOTE`
  RegularExpression Id.
  `static final int`
  `HEXA`
  RegularExpression Id.
  `static final int`
  `IN_COMMENT`
  Lexical state.
  `static final int`
  `IN_SINGLE_LINE_COMMENT`
  Lexical state.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `QUOTE`
  RegularExpression Id.
  `static final int`
  `QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `SINGLE_LINE_COMMENT`
  RegularExpression Id.
  `static final int`
  `STRING`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `WHITE`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ARRAY_BEGIN

    static final int ARRAY_BEGIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ARRAY_END

    static final int ARRAY_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ARRAY_SEPARATOR

    static final int ARRAY_SEPARATOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DICT_BEGIN

    static final int DICT_BEGIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DICT_END

    static final int DICT_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DICT_SEPARATOR

    static final int DICT_SEPARATOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EQUAL

    static final int EQUAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATA_START

    static final int DATA_START
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATA_END

    static final int DATA_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATE_START

    static final int DATE_START
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTE

    static final int QUOTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LETTER

    static final int LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WHITE

    static final int WHITE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HEXA

    static final int HEXA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATA

    static final int DATA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATE

    static final int DATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STRING

    static final int STRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED_STRING

    static final int QUOTED_STRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ESCAPED_QUOTE

    static final int ESCAPED_QUOTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IN_COMMENT

    static final int IN_COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IN_SINGLE_LINE_COMMENT

    static final int IN_SINGLE_LINE_COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.